tinkerpop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Kaiser-Cross (Jira)" <j...@apache.org>
Subject [jira] [Commented] (TINKERPOP-2346) In gremlin python, error when using 'valueMap' and 'with_' combined
Date Mon, 02 Mar 2020 15:28:00 GMT

    [ https://issues.apache.org/jira/browse/TINKERPOP-2346?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17049321#comment-17049321
] 

Michael Kaiser-Cross commented on TINKERPOP-2346:
-------------------------------------------------

Hi thanks for the quick response. I am using JanusGraph 0.4.0 with a Cassandra storage backend.
I am actually using the official JanusGraph 0.4.0 docker container if anyone wants to try
to reproduce. Supposedly JanusGraph 0.4.0 supports TinkerPop 3.4.z; [source|[https://docs.janusgraph.org/changelog/]].
Does this mean that this is a bug with JanusGraph?

 
||JanusGraph||Storage Version||Cassandra||HBase||Bigtable||Elasticsearch||Solr||TinkerPop||Spark||Scala||
|0.1.z|1|1.2.z, 2.0.z, 2.1.z|0.98.z, 1.0.z, 1.1.z, 1.2.z|0.9.z, 1.0.0-preZ, 1.0.0|1.5.z|5.2.z|3.2.z|1.6.z|2.10.z|
|0.2.z|1|1.2.z, 2.0.z, 2.1.z, 2.2.z, 3.0.z, 3.11.z|0.98.z, 1.0.z, 1.1.z, 1.2.z, 1.3.z|0.9.z,
1.0.0-preZ, 1.0.0|1.5-1.7.z, 2.3-2.4.z, 5.y, 6.y|5.2-5.5.z, 6.2-6.6.z, 7.y|3.2.z|1.6.z|2.10.z|
|0.3.z|2|1.2.z, 2.0.z, 2.1.z, 2.2.z, 3.0.z, 3.11.z|1.0.z, 1.1.z, 1.2.z, 1.3.z, 1.4.z|1.0.0,
1.1.0, 1.1.2, 1.2.0, 1.3.0, 1.4.0|1.5-1.7.z, 2.3-2.4.z, 5.y, 6.y|5.2-5.5.z, 6.2-6.6.z, 7.y|3.3.z|2.2.z|2.11.z|
|0.4.z|2|2.1.z, 2.2.z, 3.0.z, 3.11.z|1.2.z, 1.3.z, 1.4.z, 2.1.z|1.3.0, 1.4.0, 1.5.z, 1.6.z,
1.7.z, 1.8.z, 1.9.z, 1.10.z, 1.11.z|5.y, 6.y|7.y|{color:#172b4d}3.4.z{color}|2.2.z|2.11.z|

> In gremlin python, error when using 'valueMap' and 'with_' combined
> -------------------------------------------------------------------
>
>                 Key: TINKERPOP-2346
>                 URL: https://issues.apache.org/jira/browse/TINKERPOP-2346
>             Project: TinkerPop
>          Issue Type: Bug
>          Components: python
>    Affects Versions: 3.4.5
>            Reporter: Michael Kaiser-Cross
>            Priority: Major
>
> Simple example that demonstrates issue.
> >>> g.V().valueMap().with_(WithOptions.ids).toList()
>  
> gremlin_python.driver.protocol.GremlinServerError: 599: Could not locate method: DefaultGraphTraversal.with([1])
>  



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message